# ModifyCloudRoutersAttribute

## 1. API Description

This API is used to modify information of one or more Layer 3 cloud routers, including names and descriptions.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">If any of the cloud router IDs does not exist, the operation will fail immediately.</mark> <mark style="color:blue;">Information of other cloud routers will not be modified.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="225">Parameter Name</th><th width="109.875">Required</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td>cloudRouterIds</td><td>Yes</td><td>Array of String</td><td>Cloud router ID list.<br>You can query up to 100 IDs in each request.</td></tr><tr><td>cloudRouterName</td><td>No</td><td>String</td><td><p>Cloud router name.</p><p>Up to 255 characters in length are allowed.<br>One of the name and the description must be specified.<br>If the name value is null, the current name will not be modified.</p></td></tr><tr><td>cloudRouterDescription</td><td>No</td><td>String</td><td><p>Cloud router description.</p><p>Up to 255 characters in length are allowed.<br>One of the name and the description must be specified.<br>If the description value is null, the current description will not be modified.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="191.33333333333331">Parameter Name</th><th width="95.54340836012864">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify a Layer 3 cloud router name.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCloudRoutersAttribute
<Common Request Params>

Request：
{
    "cloudRouterIds": ["your-cloud-router-id"],
    "cloudRouterName": "Global-Edge-Router"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
